package com.yizhi.esearch.application;

import com.yizhi.core.application.security.config.SpringSecurityConfig;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.amqp.RabbitAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.DependsOn;
import org.springframework.data.elasticsearch.repository.config.EnableElasticsearchRepositories;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableDiscoveryClient
@SpringBootApplication(exclude = {RabbitAutoConfiguration.class})
@EnableElasticsearchRepositories(basePackages = {"com.yizhi.esearch.application.repository"})
@EnableScheduling
@ComponentScan({"com.yizhi"})
public class CloudEsearchApplication {

    public static void main(String[] args) {
        SpringApplication.run(CloudEsearchApplication.class, args);
    }
    @Bean

    public SpringSecurityConfig springSecurityConfig(){
        return new SpringSecurityConfig();
    }
}

